Subject: Subversion developer: svn is for dumb people

From: Steven Grimm <[email-masked]>
Date: Thu, 18 Oct 2007 07:25:36 -0700

Thought folks here might get a kick out of this:

http://blog.red-bean.com/sussman/?p=79

Okay, my summary is slightly facetious, but that's basically the gist of 
what he's saying: you should choose Subversion rather than a DVCS 
because most of your users won't be smart enough to use the better tool.

I can't say he's completely wrong, especially about the 20/80% idea 
(though I think "20%" is generous), but some of his specific arguments 
about DVCS are on the bogus side. "Centralized systems encourage code 
reviews," for one -- I challenge him to find a project with a more 
pervasive and effective code-reviewing culture than the git project. I 
find code reviews *harder* in a centralized system because you end up 
building external tools to help people try out each other's changes.

-Steve